Subject: [Lime] Comment on command-sub-type in draft-tissa-lime-yang-oam-model-05

From: Tom Taylor <[email-masked]>
Date: Sun, 5 Jul 2015 20:27:05 -0400

I think the command-sub-type identity is slightly mis-aimed. This is 
actually a tool selector, where the RPCs are function selectors. That 
is, the so-called sub-type is actually somewhat orthogonal to the 
command itself. As a concrete example, looking at Table 4 of RFC 7276, a 
tool selector is clearly needed for the CV function for pseudowire OAM. 
In the other direction, BFD can be used for multiple functions.

This is probably just a matter of terminology, but I would be happier if 
the identity were named "command-tool-selector" or the like. What 
provoked my uneasiness in the first place was a concern that the 
"generic" model was getting enmeshed in technology-specific concerns. 
The tools are somewhat technology-independent in this sense.

Tom Taylor